com.jacob.com

## Class InvocationProxyAllVariants

- java.lang.Object
- - com.jacob.com.InvocationProxy
  - - com.jacob.com.InvocationProxyAllVariants

-     public class InvocationProxyAllVariants
      extends InvocationProxy

  This class acts as a proxy between the windows event callback mechanism and the Java classes that are looking for events. It assumes that all of the Java classes that are looking for events implement methods with the same names as the windows events and that the implemented methods accept an array of variant objects. The methods can return void or a Variant that will be returned to the calling layer. All Event methods that will be recognized by InvocationProxyAllEvents have the signature `void eventMethodName(Variant[])` or `Variant eventMethodName(Variant[])`

- - ### Field Summary

    - ### Fields inherited from class com.jacob.com.InvocationProxy

      `mTargetObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvocationProxyAllVariants()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Variant` | `invoke(java.lang.String methodName, Variant[] targetParameters)` The method actually invoked by EventProxy.cpp.

    - ### Methods inherited from class com.jacob.com.InvocationProxy

      `getVariant, setTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationProxyAllVariants

          public InvocationProxyAllVariants()

  - ### Method Detail

    - #### invoke

          public Variant invoke(java.lang.String methodName,
                                Variant[] targetParameters)

      Description copied from class: `InvocationProxy`
      The method actually invoked by EventProxy.cpp. The method name is calculated by the underlying JNI code from the MS windows Callback function name. The method is assumed to take an array of Variant objects. The method may return a Variant or be a void. Those are the only two options that will not blow up.

      Subclasses that override this should make sure mTargetObject is not null before processing.

      Specified by:
        `invoke` in class `InvocationProxy`
      Parameters:
        `methodName` - name of method in mTargetObject we will invoke
        `targetParameters` - Variant[] that is the single parameter to the method
      Returns:
        an object that will be returned to the com event caller

http://jacob-project.sourceforge.net